Unit
Date: 2016-06-25

org.osgi.util.measurement

## Class Unit

- java.lang.Object
- - org.osgi.util.measurement.Unit

-     public class Unit
      extends java.lang.Object

  A unit system for measurements. This class contains definitions of the most common SI units.

  This class only support exponents for the base SI units in the range -64 to +63. Any operation which produces an exponent outside of this range will result in a `Unit` object with undefined exponents.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Unit` | `A` The electric current unit ampere (A)
    `static Unit` | `C` The electric charge unit coulomb (C).
    `static Unit` | `cd` The luminous intensity unit candela (cd)
    `static Unit` | `F` The capacitance unit farad (F).
    `static Unit` | `Gy` The absorbed dose unit gray (Gy).
    `static Unit` | `Hz` The frequency unit hertz (Hz).
    `static Unit` | `J` The energy unit joule (J).
    `static Unit` | `K` The temperature unit kelvin (K)
    `static Unit` | `kat` The catalytic activity unit katal (kat).
    `static Unit` | `kg` The mass unit kilogram (kg)
    `static Unit` | `lx` The illuminance unit lux (lx).
    `static Unit` | `m` The length unit meter (m)
    `static Unit` | `m_s` The speed unit meter per second (m/s)
    `static Unit` | `m_s2` The acceleration unit meter per second squared (m/s2)
    `static Unit` | `m2` The area unit square meter (m2)
    `static Unit` | `m3` The volume unit cubic meter (m3)
    `static Unit` | `mol` The amount of substance unit mole (mol)
    `static Unit` | `N` The force unit newton (N).
    `static Unit` | `Ohm` The electric resistance unit ohm.
    `static Unit` | `Pa` The pressure unit pascal (Pa).
    `static Unit` | `rad` The angle unit radians (rad)
    `static Unit` | `s` The time unit second (s)
    `static Unit` | `S` The electric conductance unit siemens (S).
    `static Unit` | `T` The magnetic flux density unit tesla (T).
    `static Unit` | `unity` No Unit (Unity)
    `static Unit` | `V` The electric potential difference unit volt (V).
    `static Unit` | `W` The power unit watt (W).
    `static Unit` | `Wb` The magnetic flux unit weber (Wb).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Checks whether this `Unit` object is equal to the specified `Unit` object.
    `int` | `hashCode()` Returns the hash code for this object.
    `java.lang.String` | `toString()` Returns a `String` object representing the `Unit`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### unity

          public static final Unit unity

      No Unit (Unity)

    - #### m

          public static final Unit m

      The length unit meter (m)

    - #### s

          public static final Unit s

      The time unit second (s)

    - #### kg

          public static final Unit kg

      The mass unit kilogram (kg)

    - #### K

          public static final Unit K

      The temperature unit kelvin (K)

    - #### A

          public static final Unit A

      The electric current unit ampere (A)

    - #### mol

          public static final Unit mol

      The amount of substance unit mole (mol)

    - #### cd

          public static final Unit cd

      The luminous intensity unit candela (cd)

    - #### m_s

          public static final Unit m_s

      The speed unit meter per second (m/s)

    - #### m_s2

          public static final Unit m_s2

      The acceleration unit meter per second squared (m/s2)

    - #### m2

          public static final Unit m2

      The area unit square meter (m2)

    - #### m3

          public static final Unit m3

      The volume unit cubic meter (m3)

    - #### Hz

          public static final Unit Hz

      The frequency unit hertz (Hz).

      hertz is expressed in SI units as 1/s

    - #### N

          public static final Unit N

      The force unit newton (N).

      N is expressed in SI units as m·kg/s2

    - #### Pa

          public static final Unit Pa

      The pressure unit pascal (Pa).

      Pa is equal to N/m2 or is expressed in SI units as kg/m·s2

    - #### J

          public static final Unit J

      The energy unit joule (J).

      joule is equal to N·m or is expressed in SI units as m2·kg/s2

    - #### W

          public static final Unit W

      The power unit watt (W).

      watt is equal to J/s or is expressed in SI units as m2·kg/s3

    - #### C

          public static final Unit C

      The electric charge unit coulomb (C).

      coulomb is expressed in SI units as s·A

    - #### V

          public static final Unit V

      The electric potential difference unit volt (V).

      volt is equal to W/A or is expressed in SI units as m2·kg/s3·A

    - #### F

          public static final Unit F

      The capacitance unit farad (F).

      farad is equal to C/V or is expressed in SI units as s4·A2/m2·kg

    - #### Ohm

          public static final Unit Ohm

      The electric resistance unit ohm.

      ohm is equal to V/A or is expressed in SI units as m2·kg/s3·A2

    - #### S

          public static final Unit S

      The electric conductance unit siemens (S).

      siemens is equal to A/V or is expressed in SI units as s3·A2/m2·kg

    - #### Wb

          public static final Unit Wb

      The magnetic flux unit weber (Wb).

      weber is equal to V·s or is expressed in SI units as m2·kg/s2·A

    - #### T

          public static final Unit T

      The magnetic flux density unit tesla (T).

      tesla is equal to Wb/m2 or is expressed in SI units as kg/s2·A

    - #### lx

          public static final Unit lx

      The illuminance unit lux (lx).

      lux is expressed in SI units as cd/m2

    - #### Gy

          public static final Unit Gy

      The absorbed dose unit gray (Gy).

      Gy is equal to J/kg or is expressed in SI units as m2/s2

    - #### kat

          public static final Unit kat

      The catalytic activity unit katal (kat).

      katal is expressed in SI units as mol/s

    - #### rad

          public static final Unit rad

      The angle unit radians (rad)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Checks whether this `Unit` object is equal to the specified `Unit` object. The `Unit` objects are considered equal if their exponents are equal.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the `Unit` object that should be checked for equality
      Returns:
        true if the specified `Unit` object is equal to this `Unit` object.

    - #### hashCode

          public int hashCode()

      Returns the hash code for this object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        This object's hash code.

    - #### toString

          public java.lang.String toString()

      Returns a `String` object representing the `Unit`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A `String` object representing the `Unit`